Bug 13286 - LSA server on a DC doesn't support querying trusted domains
LSA server on a DC doesn't support querying trusted domains
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: 4.8
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 13420
Blocks: 13287
  Show dependency treegraph
 
Reported: 2018-02-19 15:54 UTC by Ralph Böhme
Modified: 2018-05-03 04:21 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (163.75 KB, patch)
2018-02-27 10:26 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-02-19 15:54:29 UTC
Up to now the LSA server on a DC only support some wellknown sids, the builtin domain and the account domain, but not the translation views detailed in MS-LSAT 3.1.1.1 which are required to support trusts.
Comment 1 Ralph Böhme 2018-02-27 10:26:42 UTC
Created attachment 13993 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 15:33:04 UTC
Pushed to autobuild-v4-8-test.
Comment 3 Karolin Seeger 2018-02-28 11:51:52 UTC
Pushed to v4-8-test.
Closing out bug report.

Thanks!